// TopologyTransformationsDoc.h : interface of the CTopologyTransformationsDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TOPOLOGYTRANSFORMATIONSDOC_H__30453389_3E75_11D7_8611_0060B0EE281E__INCLUDED_)
#define AFX_TOPOLOGYTRANSFORMATIONSDOC_H__30453389_3E75_11D7_8611_0060B0EE281E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <OCC_3dDoc.h>

class CTopologyTransformationsDoc : public OCC_3dDoc
{
	
protected: // create from serialization only
	CTopologyTransformationsDoc();
	DECLARE_DYNCREATE(CTopologyTransformationsDoc)

public:
	virtual ~CTopologyTransformationsDoc();

// Generated message map functions
protected:
	//{{AFX_MSG(CTopologyTransformationsDoc)
	afx_msg void OnMirror();
	afx_msg void OnMirroraxis();
	afx_msg void OnRotate();
	afx_msg void OnScale();
	afx_msg void OnTranslation();
	afx_msg void OnDisplacement();
	afx_msg void OnDeform();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TOPOLOGYTRANSFORMATIONSDOC_H__30453389_3E75_11D7_8611_0060B0EE281E__INCLUDED_)
